#!/usr/bin/perl

use Socket;
socket(SOCKET, PF_INET, SOCK_DGRAM, getprotobyname("udp")) 
    or die "socket: $!";

$osd  = '/usr/local/bin/mythtvosd';
$xml  = '/etc/alert.xml';
$to   = 'home.thegrebs.com';
$port = '6948';
$for  = $ARGV[0];
$header = 1;

while(defined($line = <STDIN>)) {
  if ($line eq "") { $header = 0; }
  if (!$header) { next; }
  if ($line =~ /^Subject: (.*)$/) { $subject = $1; }
  if ($line =~ /^From: (.*)$/)    { $from = $1; }
}

$from =~ s/\</&lt;/g;
$from =~ s/\>/&gt;/g;
$from =~ s/"/'/g;
$subject =~ s/\</&lt;/g;
$subject =~ s/\>/&gt;/g;
$subject =~ s/"/'/g;

##system "echo \"-$for- -$from- -$subject-\" >> /tmp/ne";
$msg = << "EOM";
<mythnotify version="1">
  <container name="notify_new_email">
     <textarea name="notify_email_for">
        <value>Email for $for</value>
     </textarea>
     <textarea name="notify_email_from">
        <value>$from</value>
     </textarea>
     <textarea name="notify_email_subj">
        <value>$subject</value>
     </textarea>
  </container>
</mythnotify>
EOM

$ipaddr   = inet_aton($to);
$portaddr = sockaddr_in($port, $ipaddr);
send(SOCKET, $msg, 0, $portaddr) == length($msg)
        or die "cannot send to $HOSTNAME($PORTNO): $!";
